Get Event
curl --request GET \
--url https://app.sphinxhq.com/api/events/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/events/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/events/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/events/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/events/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/events/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/events/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"case_id": 123,
"check_id": 123,
"text": "<string>",
"created_by": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_type": "COMMENT",
"previous_value": "<string>",
"new_value": "<string>"
}Events
Get Event
Retrieve a specific event by ID
GET
/
api
/
events
/
{id}
/
Get Event
curl --request GET \
--url https://app.sphinxhq.com/api/events/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sphinxhq.com/api/events/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sphinxhq.com/api/events/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sphinxhq.com/api/events/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sphinxhq.com/api/events/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sphinxhq.com/api/events/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sphinxhq.com/api/events/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"case_id": 123,
"check_id": 123,
"text": "<string>",
"created_by": "jsmith@example.com",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_type": "COMMENT",
"previous_value": "<string>",
"new_value": "<string>"
}Authorizations
OAuthTokentokenAuthtokenAuth
OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.
Path Parameters
A unique integer value identifying this check event.
Response
200 - application/json
Read-only serializer for events (CheckEvent internally — never say "check event" externally).
ID of the case. Null for check-level events.
ID of the check. Null for case-level events.
Email of the user who created the event. Null for system-generated events.
Type of event
COMMENT- CommentCHECK_OUTCOME_CHANGE- Check Outcome ChangeCASE_OUTCOME_CHANGE- Case Outcome ChangeASSIGNMENT_CHANGE- Assignment ChangeCASE_STATUS_CHANGE- Case Status ChangeRISK_LEVEL_CHANGE- Risk Level ChangeCHECK_RERUN- Check RerunCASE_RERUN- Case RerunDOCUMENT_UPLOAD- Document UploadDOCUMENT_DELETE- Document DeleteDOC_FRAUD_DISPUTE- Doc Fraud DisputeCASE_ESCALATION- Case EscalationSAR_GENERATED- SAR GeneratedNOTE_EDIT- Note EditREASONING_EDIT- Reasoning EditCUSTOMER_NAME_CHANGE- Customer Name ChangeSAR_APPROVED- SAR ApprovedSAR_REJECTED- SAR RejectedSAR_SUBMITTED- SAR SubmittedSAR_ASSIGNMENT_CHG- SAR Assignment ChangeSAR_REVOKE_APPROVAL- SAR Approval RevokedSAR_FEEDBACK- SAR Feedback
Available options:
COMMENT, CHECK_OUTCOME_CHANGE, CASE_OUTCOME_CHANGE, ASSIGNMENT_CHANGE, CASE_STATUS_CHANGE, RISK_LEVEL_CHANGE, CHECK_RERUN, CASE_RERUN, DOCUMENT_UPLOAD, DOCUMENT_DELETE, DOC_FRAUD_DISPUTE, CASE_ESCALATION, SAR_GENERATED, NOTE_EDIT, REASONING_EDIT, CUSTOMER_NAME_CHANGE, SAR_APPROVED, SAR_REJECTED, SAR_SUBMITTED, SAR_ASSIGNMENT_CHG, SAR_REVOKE_APPROVAL, SAR_FEEDBACK Previous value before change
New value after change
Was this page helpful?

